#ifndef _DIALOG_CH
#define _DIALOG_CH

#xcommand DEFINE DIALOG <oDlg> ;
             [ <resource: NAME, RESNAME, RESOURCE> <cResName> ] ;
             [ TITLE <cTitle> ] ;
             [ FROM <nTop>, <nLeft> TO <nBottom>, <nRight> ] ;
             [ <lib: LIBRARY, DLL> <hResources> ] ;
             [ <vbx: VBX> ] ;
       => ;
          <oDlg> = TDialog():New( <nTop>, <nLeft>, <nBottom>, <nRight>,;
                                  <cTitle>, <cResName>, <hResources>, <.vbx.> )

#xcommand ACTIVATE DIALOG <oDlg> ;
             [ ON LEFT CLICK <uClick> ] ;
             [ ON MOVE <uMoved> ] ;
             [ ON PAINT <uPaint> ] ;
             [ <center: CENTER, CENTERED> ] ;
             [ <modal: WAIT, NOWAIT> ] ;
             [ VALID <uValid> ] ;
             [ ON INIT <uInit> ] ;
        => ;
          <oDlg>:Activate( <oDlg>:bLClicked [ := <{uClick}> ], ;
                           <oDlg>:bMoved    [ := <{uMoved}> ], ;
                           <oDlg>:bPainted  [ := <{uPaint}> ], ;
                           <.center.>, [{|Self|<uValid>}],;
                           [ Upper( <(modal)> ) == "WAIT" ],;
                           [{|Self|<uInit>}] )

#endif
