#ifndef _MENU_CH
#define _MENU_CH

#xcommand MENU [ <oMenu> ] ;
             [ <popup: POPUP> ] ;
       => ;
          [ <oMenu> := ] MenuBegin( <.popup.> )

#xcommand MENUITEM [ <oMenuItem> PROMPT ] [<cPrompt>] ;
             [ MESSAGE <cMsg> ] ;
             [ <checked: CHECK, CHECKED, MARK> ] ;
             [ <enable: ENABLED, DISABLED> ] ;
             [ <file: FILE, FILENAME, DISK> <cBmpFile> ] ;
             [ ACTION <uAction> ] ;
             [ <of: OF, MENU, SYSMENU> <oMenu> ] ;
       => ;
          [ <oMenuItem> := ] MenuAddItem( <cPrompt>, <cMsg>,;
             <.checked.>, [ Upper(<(enable)>) == "ENABLED" ], <{uAction}>,;
             <cBmpFile>, <oMenu> )

#xcommand SEPARATOR => MenuAddItem()

#xcommand ENDMENU => MenuEnd()

#xcommand ENDSYSMENU => MenuEnd()

#xcommand ACTIVATE POPUP <oMenu> ;
             [ AT <nRow>, <nCol> ] ;
             [ <of: OF, WINDOW, DIALOG> <oWnd> ] ;
       => ;
          <oMenu>:Activate( <nRow>, <nCol>, <oWnd> )

#xcommand REDEFINE SYSMENU <oMenu> ;
             [ <of: OF, WINDOW, DIALOG> <oWnd> ] ;
       => ;
          <oMenu> := MenuBegin( .f., .t., <oWnd> )

#endif
